/*
  m3_SerialClient.h
  finucane@myri.com (David Finucane)
*/

#ifndef m3_SerialClient_h
#define m3_SerialClient_h

#include "m3_TestClient.h"
#include <pthread.h>

class m3_SerialClient : public m3_TestClient
{
  private:
  pthread_mutex_t mutex;

  public:
  void lock ()
  {
    pthread_mutex_lock (&mutex);
  }
  void unlock ()
  {
    pthread_mutex_unlock (&mutex);
  }
  
  int num_commands;
  m3_serial_command_t*commands;
  m3_SerialClient (char*switchname=0);
  ~m3_SerialClient ();
  int write_thread ();
  int close ();
  int run (int num_commands, m3_serial_command_t*c);
};


#endif /*m3_SerialClient_h*/
