/*
  web_port.c
  finucane@myri.com (David Finucane)
*/

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>

#include "m3_WebClient.h"
#include "m3_defines.h"

static void printLine (char*s)
{
  printf ("%s\n", s);
}

static void usage ()
{
  printf ("usage: web_port <switchname> <url> [post values]\n");
  exit (1);
}

#define MAX_VALUES (10 * 2)

int main (int argc, char**argv)
{
  m3_Component::initialize (printLine);
  m3_WebClient web;
  char*s;
  char*values [MAX_VALUES];
  
  int num_values = argc - 3;
  
  if (argc < 3 || num_values > MAX_VALUES)
    usage ();

  for (int i = 0; i < argc - 3; i++)
    values [i] = argv [3 + i];

  if (num_values <= 0)
  {
    if (!(s = web.get (argv[1], argv[2])))
      return 1;
  }
  else
  {
    if (num_values % 2)
      usage ();
    
    if (!(s = web.post (web.getServer (argv[1]), argv[2], num_values / 2, values)))
      return 1;
  }

  while (s = web.token ())
    printf ("%s\n", s);
  return 0;
}

